defmodule PhxLiterate.Mixfile do
  use Mix.Project

  @name :phx_literate
  @version "0.1.0"

  @deps [
    {:mix_templates, ">0.0.0", app: false},
    {:ex_doc, ">0.0.0", only: [:dev, :test]}
  ]

  @maintainers ["Ryan Rix <ryan@whatthefuck.computer>"]
  @code_url "https://code.rix.si/rrix/phx_literate"

  @description """
  Develop opinionated Phoenix Elixir applications using org-babel.
  """

  # ------------------------------------------------------------

  def project do
    in_production = Mix.env() == :prod

    [
      app: @name,
      version: @version,
      deps: @deps,
      elixir: "~> 1.4",
      package: package(),
      description: @description,
      build_embedded: in_production,
      start_permanent: in_production
    ]
  end

  defp package do
    [
      name: @name,
      files: ["lib", "mix.exs", "README.org", "template"],
      maintainers: @maintainers,
      licenses: ["GPLv3"],
      links: %{
        "code" => @code_url
      }
    ]
  end
end
